<?php

    if ( ! function_exists('thr_enqueue_styles') ) {
        function thr_enqueue_styles() {
            wp_enqueue_style( 'twenty-twenty-three-style', get_template_directory_uri() .'/style.css' );
            wp_enqueue_style( 'twenty-twenty-three-child-style', get_stylesheet_uri() );

        }
        add_action('wp_enqueue_scripts', 'thr_enqueue_styles');
    }

    if( function_exists('register_block_style') ) {

        register_block_style(
            'core/group',
            array(
                'name' => 'fixed',
                'label' => __('Fixed Group', 'fse'),
                'is_default' => false
            )
        );

        register_block_style(
            'core/button',
            array(
                'name' => 'skew',
                'label' => __('Skew', 'fse'),
                'is_default' => false
            )
        );

        register_block_style(
            'core/button',
            array(
                'name' => 'skew-contour',
                'label' => __('Skew contour', 'fse'),
                'is_default' => false
            )
        );

    }
    
    function lw_theme_add_editor_styles() {
        add_editor_style( 'style.css' );
    
    }
    add_action( 'after_setup_theme', 'lw_theme_add_editor_styles' );
    